List Cloudflare Dns Records
import requests
url = "https://platform.ankra.app/api/v1/org/cloudflare/domains/{zone_id}/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cloudflare/domains/{zone_id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cloudflare/domains/{zone_id}/records \
--header 'Authorization: Bearer <token>'{
"domain": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"is_active": true,
"paused": true,
"type": "<string>",
"credential_name": "<string>",
"name_servers": [
"<string>"
],
"account_id": "<string>",
"account_name": "<string>",
"created_on": "<string>",
"modified_on": "<string>"
},
"items": [
{
"id": "<string>",
"zone_id": "<string>",
"zone_name": "<string>",
"name": "<string>",
"record_type": "<string>",
"content": "<string>",
"ttl": 123,
"is_ttl_automatic": true,
"proxied": true,
"proxiable": true,
"tags": [
"<string>"
],
"managed_by": "ankra",
"priority": 123,
"comment": "<string>",
"created_on": "<string>",
"modified_on": "<string>"
}
],
"is_truncated": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Cloudflare
List Cloudflare Dns Records
GET
/
api
/
v1
/
org
/
cloudflare
/
domains
/
{zone_id}
/
records
List Cloudflare Dns Records
import requests
url = "https://platform.ankra.app/api/v1/org/cloudflare/domains/{zone_id}/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cloudflare/domains/{zone_id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cloudflare/domains/{zone_id}/records \
--header 'Authorization: Bearer <token>'{
"domain": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"is_active": true,
"paused": true,
"type": "<string>",
"credential_name": "<string>",
"name_servers": [
"<string>"
],
"account_id": "<string>",
"account_name": "<string>",
"created_on": "<string>",
"modified_on": "<string>"
},
"items": [
{
"id": "<string>",
"zone_id": "<string>",
"zone_name": "<string>",
"name": "<string>",
"record_type": "<string>",
"content": "<string>",
"ttl": 123,
"is_ttl_automatic": true,
"proxied": true,
"proxiable": true,
"tags": [
"<string>"
],
"managed_by": "ankra",
"priority": 123,
"comment": "<string>",
"created_on": "<string>",
"modified_on": "<string>"
}
],
"is_truncated": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Which connected Cloudflare credential to use. Omit when the organisation has exactly one.